> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasrdshostpoolmember.md).

# Get-RASRDSHostPoolMember

### NAME

Get-RASRDSHostPoolMember\ <br>

### SYNOPSIS

Retrieves member information for an RD Session Host Pool.\ <br>

### SYNTAX

Get-RASRDSHostPoolMember \[-[HostPoolId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolMember.html#HostPoolId)] *\<uint>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolMember.html#CommonParameters)*>*]\
\
Get-RASRDSHostPoolMember \[-[HostPoolObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolMember.html#HostPoolObject)] *<*[*RDSHostPool*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostPool.html)*>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolMember.html#CommonParameters)*>*]\
\
Get-RASRDSHostPoolMember \[-[HostPoolName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolMember.html#HostPoolName)] *\<string>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolMember.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolMember.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the list of RD Session Host servers, which are members of a specified host pool.\
\
It returns an arrays of objects of type RDS, each containing properties of an RD Session Host server.\
\
To see the complete list of object properties, use the Format-List cmdlet (see examples).\ <br>

### PARAMETERS

\
-**HostPoolName \<string>**\
The name of a host pool from which to retrieve server information.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID where the host pool is located.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**HostPoolId \<uint>**\
The ID of the RDS Group representing a RD Session Host server group.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**HostPoolObject <**[**RDSHostPool**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostPool.html)**>**\
An object of type RDSHostPool representing a RD Session Host Pool.\
\
The object is obtained using the Get-RASRDSHostPool cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[RDSHostPool](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostPool.html)

### OUTPUTS

[RDSHost](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHost.html)

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
Get-RASRDSHostPoolMember "My RD Session Host Pool" | Format-List\
\
Retrieves the list of RD Session Host servers from the host pool specified by name.\
\
The Format-List cmdlet formats the display output to include all available server properties.\
**---------- EXAMPLE 2 ----------**\
\
Get-RASRDSHostPoolMember $RDSHostPool\
\
Retrieves the list of RD Session Host servers from the host pool specified by the $RDSHostPool variable.\
\
The $RDSHostPool variable is an object of type RDSHostPool, which is obtained using the Get-RASRDSHostPool cmdlet.\
**---------- EXAMPLE 3 ----------**\
\
Get-RASRDSHostPool "My RD Session Host Pool" | Get-RASRDSHostPoolMember\
\
Retrieves the list of servers from the host pool obtained from the pipeline output.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasrdshostpoolmember.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
